SingularAssociationAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Interface SingularAssociationAttributeBinding

All Superinterfaces:
  AssociationAttributeBinding, AttributeBinding, SingularAttributeBinding

All Known Implementing Classes:
  ManyToOneAttributeBinding

    public interface SingularAssociationAttributeBinding

extends SingularAttributeBinding, AssociationAttributeBinding

Contract describing the attribute binding for singular associations (`many-to-one`, `one-to-one`).

Method Summary
`AttributeBinding` | `getReferencedAttributeBinding()`
`String` | `getReferencedAttributeName()`
`EntityBinding` | `getReferencedEntityBinding()`
`String` | `getReferencedEntityName()` Obtain the name of the referenced entity.
`boolean` | `isPropertyReference()` Is this association based on a property reference (non PK column(s) as target of FK)? Convenience form of checking `getReferencedAttributeName()` for `null`.
`boolean` | `isReferenceResolved()`
`void` | `resolveReference(AttributeBinding attributeBinding)`
`void` | `setReferencedAttributeName(String referencedAttributeName)`
`void` | `setReferencedEntityName(String referencedEntityName)` Set the name of the

Methods inherited from interface org.hibernate.metamodel.binding.SingularAttributeBinding
`getGeneration, getSimpleValueBindings, getSimpleValueSpan, getValue, hasDerivedValue, isNullable, setSimpleValueBindings`

Methods inherited from interface org.hibernate.metamodel.binding.AssociationAttributeBinding
`getCascadeStyle, getFetchMode, getFetchStyle, getFetchTiming, setCascadeStyles, setFetchStyle, setFetchTiming`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getAttribute, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getMetaAttributeContext, getPropertyAccessorName, isAlternateUniqueKey, isAssociation, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Method Detail

### isPropertyReference

    boolean isPropertyReference()

  Is this association based on a property reference (non PK column(s) as target of FK)?

  Convenience form of checking `getReferencedAttributeName()` for `null`.

  Returns:

### getReferencedEntityName

    String getReferencedEntityName()

  Obtain the name of the referenced entity.

  Returns:
    The referenced entity name

### setReferencedEntityName

    void setReferencedEntityName(String referencedEntityName)

  Set the name of the

  Parameters:
    `referencedEntityName` -

### getReferencedAttributeName

    String getReferencedAttributeName()

### setReferencedAttributeName

    void setReferencedAttributeName(String referencedAttributeName)

### resolveReference

    void resolveReference(AttributeBinding attributeBinding)

### isReferenceResolved

    boolean isReferenceResolved()

### getReferencedEntityBinding

    EntityBinding getReferencedEntityBinding()

### getReferencedAttributeBinding

    AttributeBinding getReferencedAttributeBinding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.